options ls=72 nodate;
filename anchovy "data/anchovy.dat";
data anchovy;
infile anchovy;
input day vol1 y1 vol2 y2;
pair=_n_;
data set1; set anchovy; y=y1; lv=log(vol1);  keep pair day lv y;
data set2; set anchovy; y=y2; lv=log(vol2);  keep pair day lv y;
data new; set set1 set2;
proc sort; by pair;
proc nlmixed;
parms b0=.5 b1=1 b2=-.1 s2u=.1 a=4;
eta=b0+b1*lv+b2*day+u;
m=exp(eta);
p=m/(m+a);
ll=lgamma(y+a)-lgamma(y+1)-lgamma(a);
ll=ll+a*log(1-p)+y*log(p);
model y~general(ll);
random u~normal(0,s2u)
subject=pair;
run;
