options ls=72 nodate;
filename epilepsy "~jbooth/research/negbinomial/data/epilepsy.dat";
data epi;
infile epilepsy;
input id y1-y4 trt base age 26-27;
trt=1-trt;
lbase=log(base/4);
lage=log(age);
data set1; set epi; y=y1; time=1; keep id y trt lbase lage time;
data set2; set epi; y=y2; time=2; keep id y trt lbase lage time;
data set3; set epi; y=y3; time=3; keep id y trt lbase lage time;
data set4; set epi; y=y4; time=4; keep id y trt lbase lage time;
data long; set set1 set2 set3 set4; visit=(time-2.5)/5;
proc sort; by id;
proc nlmixed;
parms b0=-1.55 b1=0.90 b2=-0.90 b3=0.35 b4=0.56 b5=-0.26 s2u1=0.1 a=3;
eta=b0+b1*lbase+b2*trt+b3*lbase*trt+b4*lage+b5*visit+u1;
m=exp(eta);
p=m/(m+a);
ll=lgamma(y+a)-lgamma(y+1)-lgamma(a);
ll=ll+a*log(1-p)+y*log(p);
model y~general(ll);
random u1 ~ normal(0,s2u1) subject=id;
run;
